//
// Copyright 2002 by Craig Stuart Sapp, All Rights Reserved.
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Sun Feb 10 19:42:45 PST 2002
// Last Modified: Sun Feb 10 19:42:48 PST 2002
// Filename:      ...sig/src/sigInfo/ParameterItem.h
// Web Address:   http://sig.sapp.org/include/sigInfo/ParameterItem.h
// Syntax:        C++ 
//
// Description:   Base class for SCORE musical objects.
//

#ifndef _PARAMETERITEM_H_INCLUDED
#define _PARAMETERITEM_H_INCLUDED

#include "Array.h"

class ParameterItem {
   public:
                     ParameterItem    (void);
                     ParameterItem    (ParameterItem& item);

      void           clear            (void);
      float          getValue         (int index);
      float          getPValue        (int index);
      void           setValue         (int index, float value);
      void           setPValue        (int index, float value);
      void           setAllocSize     (int aSize);
      ParameterItem& operator=        (ParameterItem& anItem);
      void           print            (void);

   protected:
      Array<float> fixedParameters;
      Array<char*> keyParameters;

      void         clearKeyParams     (void);
      void         appendKeyParameter (const char* string);
};


#endif /* _PARAMETERITEM_H_INCLUDED */
